Subject: Re: [PATCH v2] tcp: tsq: restore minimal amount of queueing

From: [email-masked] (Arnaud Ebalard)
Date: Wed, 13 Nov 2013 22:18:12 +0100

Hi Eric,

Eric Dumazet <[email-masked]> writes:

> From: Eric Dumazet <[email-masked]>
>
> After commit c9eeec26e32e ("tcp: TSQ can use a dynamic limit"), several
> users reported throughput regressions, notably on mvneta and wifi
> adapters.
>
> 802.11 AMPDU requires a fair amount of queueing to be effective.
>
> This patch partially reverts the change done in tcp_write_xmit()
> so that the minimal amount is sysctl_tcp_limit_output_bytes.

I just tested the fix on current linux tree with the same setup
on which I observed the regression: it also fixes it on my side
on my RN102. Thanks for the quick fix, Eric. 

Cheers,

a+